package com.seeyon.apps.src_flowIntegration.constants;

public enum FlowIntegrationConstants {

    plugin("src_flowIntegration", "插件ID"),
    OA_HOST("","oa地址"),
    restName("","rest用户名"),
    restPwd("","rest密码"),
    extAttrLabel("","人员账号自定义数据名称")
    ;

    private String defaultValue;
    private String description;

    private FlowIntegrationConstants(String defaultValue, String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    public String getDefaultValue() {
        return this.defaultValue;
    }

    public String getDescription() {
        return this.description;
    }

    public static String getPluginId() {
        return plugin.defaultValue;
    }

}
